# Fusion Tables API . query

## Instance Methods

Executes a Fusion Tables SQL statement, which can be any of

Executes a SQL statement which can be any of

Executes a SQL statement which can be any of

Executes a Fusion Tables SQL statement, which can be any of

### Method Details

`sql(sql=None, hdrs=None, typed=None)`

    Executes a Fusion Tables SQL statement, which can be any of
    - SELECT
    - INSERT
    - UPDATE
    - DELETE
    - SHOW
    - DESCRIBE
    - CREATE statement.

    Args:
      sql: string, A Fusion Tables SQL statement, which can be any of
    - SELECT
    - INSERT
    - UPDATE
    - DELETE
    - SHOW
    - DESCRIBE
    - CREATE (required)
      hdrs: boolean, Whether column names are included in the first row. Default is true.
      typed: boolean, Whether typed values are returned in the (JSON) response: numbers for numeric values and parsed geometries for KML values. Default is true.

    Returns:
      An object of the form:

        { # Represents a response to a SQL statement.
        "kind": "fusiontables#sqlresponse", # The kind of item this is. For responses to SQL queries, this is always fusiontables#sqlresponse.
        "rows": [ # The rows in the table. For each cell we print out whatever cell value (e.g., numeric, string) exists. Thus it is important that each cell contains only one value.
          [
            "",
          ],
        ],
        "columns": [ # Columns in the table.
          "A String",
        ],
      }

`sqlGet(sql=None, hdrs=None, typed=None)`

    Executes a SQL statement which can be any of
    - SELECT
    - SHOW
    - DESCRIBE

    Args:
      sql: string, A SQL statement which can be any of
    - SELECT
    - SHOW
    - DESCRIBE (required)
      hdrs: boolean, Whether column names are included (in the first row). Default is true.
      typed: boolean, Whether typed values are returned in the (JSON) response: numbers for numeric values and parsed geometries for KML values. Default is true.

    Returns:
      An object of the form:

        { # Represents a response to a SQL statement.
        "kind": "fusiontables#sqlresponse", # The kind of item this is. For responses to SQL queries, this is always fusiontables#sqlresponse.
        "rows": [ # The rows in the table. For each cell we print out whatever cell value (e.g., numeric, string) exists. Thus it is important that each cell contains only one value.
          [
            "",
          ],
        ],
        "columns": [ # Columns in the table.
          "A String",
        ],
      }

`sqlGet_media(sql=None, hdrs=None, typed=None)`

    Executes a SQL statement which can be any of
    - SELECT
    - SHOW
    - DESCRIBE

    Args:
      sql: string, A SQL statement which can be any of
    - SELECT
    - SHOW
    - DESCRIBE (required)
      hdrs: boolean, Whether column names are included (in the first row). Default is true.
      typed: boolean, Whether typed values are returned in the (JSON) response: numbers for numeric values and parsed geometries for KML values. Default is true.

    Returns:
      The media object as a string.

`sql_media(sql=None, hdrs=None, typed=None)`

    Executes a Fusion Tables SQL statement, which can be any of
    - SELECT
    - INSERT
    - UPDATE
    - DELETE
    - SHOW
    - DESCRIBE
    - CREATE statement.

    Args:
      sql: string, A Fusion Tables SQL statement, which can be any of
    - SELECT
    - INSERT
    - UPDATE
    - DELETE
    - SHOW
    - DESCRIBE
    - CREATE (required)
      hdrs: boolean, Whether column names are included in the first row. Default is true.
      typed: boolean, Whether typed values are returned in the (JSON) response: numbers for numeric values and parsed geometries for KML values. Default is true.

    Returns:
      The media object as a string.